// flow-typed signature: 0f639cc73da5205c1d39907b04d219a2
// flow-typed version: <<STUB>>/xlsx_v^0.10.5/flow_v0.47.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'xlsx'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'xlsx' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'xlsx/dist/cpexcel' {
  declare module.exports: any;
}

declare module 'xlsx/dist/jszip' {
  declare module.exports: any;
}

declare module 'xlsx/dist/xlsx.core.min' {
  declare module.exports: any;
}

declare module 'xlsx/dist/xlsx.full.min' {
  declare module.exports: any;
}

declare module 'xlsx/dist/xlsx' {
  declare module.exports: any;
}

declare module 'xlsx/dist/xlsx.min' {
  declare module.exports: any;
}

declare module 'xlsx/jszip' {
  declare module.exports: any;
}

declare module 'xlsx/xlsx' {
  declare module.exports: any;
}

declare module 'xlsx/xlsxworker' {
  declare module.exports: any;
}

declare module 'xlsx/xlsxworker1' {
  declare module.exports: any;
}

declare module 'xlsx/xlsxworker2' {
  declare module.exports: any;
}

// Filename aliases
declare module 'xlsx/dist/cpexcel.js' {
  declare module.exports: $Exports<'xlsx/dist/cpexcel'>;
}
declare module 'xlsx/dist/jszip.js' {
  declare module.exports: $Exports<'xlsx/dist/jszip'>;
}
declare module 'xlsx/dist/xlsx.core.min.js' {
  declare module.exports: $Exports<'xlsx/dist/xlsx.core.min'>;
}
declare module 'xlsx/dist/xlsx.full.min.js' {
  declare module.exports: $Exports<'xlsx/dist/xlsx.full.min'>;
}
declare module 'xlsx/dist/xlsx.js' {
  declare module.exports: $Exports<'xlsx/dist/xlsx'>;
}
declare module 'xlsx/dist/xlsx.min.js' {
  declare module.exports: $Exports<'xlsx/dist/xlsx.min'>;
}
declare module 'xlsx/jszip.js' {
  declare module.exports: $Exports<'xlsx/jszip'>;
}
declare module 'xlsx/xlsx.js' {
  declare module.exports: $Exports<'xlsx/xlsx'>;
}
declare module 'xlsx/xlsxworker.js' {
  declare module.exports: $Exports<'xlsx/xlsxworker'>;
}
declare module 'xlsx/xlsxworker1.js' {
  declare module.exports: $Exports<'xlsx/xlsxworker1'>;
}
declare module 'xlsx/xlsxworker2.js' {
  declare module.exports: $Exports<'xlsx/xlsxworker2'>;
}
